Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(48)

Issue 841313002: Remove hack in __gthread_active_p() to always return 0 on x86_64 (Closed)

Created:
6 years ago by Sam Clegg
Modified:
6 years ago
Reviewers:
Roland McGrath
CC:
native-client-reviews_googlegroups.com
Base URL:
http://git.chromium.org/native_client/nacl-gcc.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Remove hack in __gthread_active_p() to always return 0 on x86_64 This was causing __cxa_guard_acquire to fail and abort if two threads attempted to initialise the same static local at same time. It also presumably had other adverse effects in other parts of the gcc standard libraries. TEST= local testing + trybots BUG= https://code.google.com/p/nativeclient/issues/detail?id=3948 R=mcgrathr@chromium.org Committed: https://git.chromium.org/gitweb?p=native_client/nacl-gcc.git;a=commit;h=f80d6b9ee7f94755c697ffb7194fb01dd0c537dd

Patch Set 1 #

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+0 lines, -6 lines) Patch
M gcc/gthr-nacl.h View 1 chunk +0 lines, -6 lines 0 comments Download

Messages

Total messages: 6 (1 generated)
Sam Clegg
6 years ago (2015-01-09 16:51:34 UTC) #2
Roland McGrath
I don't see the trybot runs.
6 years ago (2015-01-09 19:07:23 UTC) #3
Sam Clegg
On 2015/01/09 19:07:23, Roland McGrath wrote: > I don't see the trybot runs. They don't ...
6 years ago (2015-01-09 19:21:14 UTC) #4
Roland McGrath
lgtm
6 years ago (2015-01-09 22:59:19 UTC) #5
Sam Clegg
6 years ago (2015-01-10 09:57:55 UTC) #6
Message was sent while issue was closed.
Committed patchset #2 (id:20001) manually as
f80d6b9ee7f94755c697ffb7194fb01dd0c537dd (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698